Show / Hide Table of Contents

# Class ReorderChannelProperties

Provides properties that are used to reorder an IGuildChannel.

##### Inheritance

System.Object
ReorderChannelProperties

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class ReorderChannelProperties

### Constructors

| Improve this Doc View Source

#### ReorderChannelProperties(UInt64, Int32)

Initializes a new instance of the ReorderChannelProperties class used to reorder a channel.

##### Declaration

    public ReorderChannelProperties(ulong id, int position)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | id | Sets the ID of the channel to apply this position to.
System.Int32 | position | Sets the new zero-based position of this channel.

### Properties

| Improve this Doc View Source

#### Id

Gets the ID of the channel to apply this position to.

##### Declaration

    public ulong Id { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the snowflake identifier of this channel.

| Improve this Doc View Source

#### Position

Gets the new zero-based position of this channel.

##### Declaration

    public int Position { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | An System.Int32 representing the new position of this channel.